<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Pantalla Reporte Libro Mayor</title>

<?php
include "../../conn.php";
include "../../general.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];
$cuentaini=$_POST["cuentaini"];
$cuentafin=$_POST["cuentafin"];
$mostrar=$_POST["mostrar"];
$formato=$_POST["formato"];
$centro_costo=$_POST["centrocosto"];
$cod_contexto=$_POST["contexto"];
$fechaini=$_POST["fechaini"];
$fechafin=$_POST["fechafin"];
$asientocc=$_POST["asientocc"];
$usuario=$_POST["usuario"];
$cod_tipo_asiento=$_POST["tipo_asiento"];
$tipo_componente=$_POST["tipo_componente"];

?>

<?php if($formato == 0) { ?>
<link href="../../libros.css" rel="stylesheet" type="text/css" />

<style type="text/css" media="print">
@page {size: letter landscape;}
DIV {page-break-after: always;}
</style>

<?php } else { ?>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />
<?php } ?> 
</head>
<?php

$n_decimales = 2;

if($mi_cod_pais == 176) { //if paraguay
$n_decimales = 0;
}//fin if paraguay

?>
<body>
<?php


//Inicio reporte Libro Mayor

if($rep == 9 && $tipo == 1) { // if 2
$filas_por_pagina = 22;

//$gestion = substr($fechafin, -4);
$nro_mayores = substr($estructura_cuenta, -1);


if($cuentaini == 0) {
	$var_cuentaini = ' ';
	$var_cuentafin = ' ';
	$nom_cuentaini = 'Todos';
	$nom_cuentafin = 'Todos';
} else {
	$var_cuentaini = 'pkyAccount >= '.$cuentaini.' and ';
	$var_cuentafin = 'pkyAccount <= '.$cuentafin.' and ';
	//nombre de la cuenta inicial
	$resultcta = mysqli_query($link, "select pkyAccount as cod_cta, fldName as cuenta
	from
	actAccount
	where 
	pkyAccount = '$cuentaini' and 
	sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcta)) {
		$nom_cuentaini = $row['cuenta'];
	}
	mysqli_free_result($resultcta);
	
	//nombre de la cuenta final
	$resultcta = mysqli_query($link, "select pkyAccount as cod_cta, fldName as cuenta
	from
	actAccount
	where 
	pkyAccount = '$cuentafin' and 
	sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcta)) {
		$nom_cuentafin = $row['cuenta'];
	}
	mysqli_free_result($resultcta);
	
}

if($formato == 0){//if formato 
	$nom_formato = 'Libro Mayor';
} else {
	$nom_formato = 'Reporte';
}//fin if formato

if($asientocc == 0){//if asientocc 
	$nom_asientocc = 'Si';
} else {
	$nom_asientocc = 'No';
}//fin if asientocc

if($mostrar == 0){//if mostrar
	$nom_mostrar = 'No';
} else {
	$nom_mostrar = 'Si';
}//fin if mostrar

//contexto
if($cod_contexto == -1){ 
	$nom_contexto = 'Todos';
	$nom_contexto2 = 'Todos';
	$valor_contexto = ' ';
	$valor_contexto2 = ' ';
} else {
	$resultcontx = mysqli_query($link, "select pkyContext as cod_contexto, fldName as contexto, codCostCenter as cod_cc 
	from srvContext
	where 
	pkyContext = '$cod_contexto';");
		while ($row = mysqli_fetch_array($resultcontx)) {   
			$nom_contexto = '- Contexto '.$row['contexto'];
			$nom_contexto2 = $row['cod_contexto'].' - '.$row['contexto'];
		}
		mysqli_free_result($resultcontx);
	$valor_contexto = ' a.sysContext = '.$cod_contexto.' and ';
	$valor_contexto2 = ' b.sysContext = '.$cod_contexto.' and ';	
}

//tipo asiento
if($cod_tipo_asiento == -1){ //if 1
	$nom_tipo_asiento = '';
	$nom_tipo_asiento2 = 'Todos';
	$valor_tipo_asiento = ' ';
	$valor_tipo_asiento2 = ' ';
} else {
	if($cod_tipo_asiento == -2){ //if 2
		$nom_tipo_asiento = '- Asiento Autom&aacute;tico';
		$nom_tipo_asiento2 = 'Autom&aacute;tico';
		$valor_tipo_asiento = ' a.codType < 10 and ';
		$valor_tipo_asiento2 = ' a.codType < 10 and ';
	} else { //else if 2 
		if($cod_tipo_asiento == -3){ //if 3
			$nom_tipo_asiento = '- Asiento Manual';
			$nom_tipo_asiento2 = 'Manual';
			$valor_tipo_asiento = ' a.codType > 10 and ';
			$valor_tipo_asiento2 = ' a.codType > 10 and ';
		} else { //else if 3
			$resulttipoa = mysqli_query($link, "select pkyAccountEntryType as cod_tipo, fldName as tipo
		from actAccountEntryType
			where 
			pkyAccountEntryType = '$cod_tipo_asiento';");
				while ($row = mysqli_fetch_array($resulttipoa)) {   
					$nom_tipo_asiento = '- Asiento '.$row['tipo'];
					$nom_tipo_asiento2 = $row['cod_tipo'].' - '.$row['tipo'];
				}
				mysqli_free_result($resulttipoa);
			$valor_tipo_asiento = ' a.codType = '.$cod_tipo_asiento.' and ';
			$valor_tipo_asiento2 = ' b.codType = '.$cod_tipo_asiento.' and ';	
		} //fin if 3
	}//fin if 2
}//fin if 1


//componente
if($tipo_componente == 'todos'){ 
	$nom_componente = 'Todos';
	$valor_componente = ' ';
	$valor_componente2 = ' ';
} else {
	$sql = "select pkyComponent AS codigo, txtModuleDescription AS modulo, txtDescription AS componente, fldName AS comparar 
	FROM
	srvComponent 
	WHERE 
	fldName = '".$tipo_componente."';";
	//echo $sql;
	$resultcomp = mysqli_query($link, $sql);
		while ($row = mysqli_fetch_array($resultcomp)) {   
			$nom_componente = $row['modulo'].' - '.$row['componente'];
		}
		mysqli_free_result($resultcomp);
	if($tipo_componente == 'ComponentAccountEntry'){
		$valor_componente = " a.fldParentComponent IS NULL and ";
		$valor_componente2 = " b.fldParentComponent IS NULL and ";
	} else {
		$valor_componente = " a.fldParentComponent = '".$tipo_componente."' and ";
		$valor_componente2 = " b.fldParentComponent = '".$tipo_componente."' and ";
	}
}

if($centro_costo == -1) {
	//$nom_centro_costo = 'Todos';
	//$valor_cc = ' ';
	$nom_centro_costo = 'Ninguno';
	$valor_cc = ' a.codType = '.$centro_costo.' and ';
} else {
$resultcc = mysqli_query($link, "select pkyCostCenterType as codigo, fldName as nombre 
from 
actCostCenterType
where
pkyCostCenterType = '$centro_costo' and
sysEnabled = 1 AND sysAuthorized = 1;");
		
	while ($row = mysqli_fetch_array($resultcc)) {
	$nom_centro_costo = $row['nombre'];
	}
	mysqli_free_result($resultcc);
$valor_cc = ' a.codType = '.$centro_costo.' and ';
}

$resultcc1 = mysqli_query($link, "select distinct a.pkyCostCenter as cod_cc, a.codType as cod_tipo_cc, c.fldName as tipo_cc, a.fldName as nombre 
from actCostCenter a, actAccountEntryDetailCC b, actCostCenterType c 
where 
$valor_cc 
a.codType = c.pkyCostCenterType and 
a.pkyCostCenter = b.codCostCenter and 
b.sysEnabled = 1 and b.sysAuthorized = 1 
order by a.codType, a.pkyCostCenter;");

$hay_cc = mysqli_num_rows($resultcc1);

$mat_tipocc = array();
$i = 1;
while ($row = mysqli_fetch_array($resultcc1)) {
	$mat_tipocc[$i][1] = $row['cod_cc'];
	$mat_tipocc[$i][2] = $row['nombre'];
	$mat_tipocc[$i][3] = $row['cod_tipo_cc'];
	$mat_tipocc[$i][4] = $row['tipo_cc'];
	//echo $mat_tipocc[$i][1].' - '.$mat_tipocc[$i][2].' - '.$mat_tipocc[$i][3].' - '.$mat_tipocc[$i][4].'<br>'; 
	$i++;
}
mysqli_free_result($resultcc1);
$fin_cc = $i - 1;

//calculo de fecha de inicio para saldo inicial
$ano_det = substr($fechaini,0,4);
$mes_det = substr($fechaini,5,2);
$resultfecha = mysqli_query($link, "select pkyFiscalYear as ano_ini, codStartMonth as mes_ini, codEndMonth as mes_fin, fldOpen as abierto
from
actFiscalYear
where
sysEnabled = 1 and sysAuthorized = 1 
order by ano_ini desc;");
$fecha_saldo = array();
$i = 1;
while ($row = mysqli_fetch_array($resultfecha)) {
	$fecha_saldo[$i][1] = $row['ano_ini'];
	$fecha_saldo[$i][2] = $row['mes_ini'];
	$fecha_saldo[$i][3] = $row['mes_fin'];
	$fecha_saldo[$i][4] = $row['abierto'];
	$fecha_saldo[$i][5] = $row['ano_ini'].'-0'.$row['mes_ini'].'-01';
	$i++;
}
mysqli_free_result($resultfecha);
$fin_fecha = $i - 1;
$fechaini_gest2 = NULL;
//comprobamos que la fecha inicial sea mayor que la fecha de inicio de gestion abierta
$i = 1;
while ($fechaini >= $fecha_saldo[$i][5] && $i <= $fin_fecha && $fecha_saldo[$i][4] == 1) {
	$fechaini_gest2 = $fecha_saldo[$i][5];
	$i++;
}
//si no encuentra la fecha inicial para calcular el saldo
$i = 1;
$pos = 0;
if($fechaini_gest2 == NULL) {
	while($i <= $fin_fecha) {
		if($ano_det == $fecha_saldo[$i][1]) { $pos = $i; }
		$i++;
	}
	$fechaini_gest2 = $fecha_saldo[$pos][5]; 
	//cuando el año empieza en abril
	if($fechaini < $fechaini_gest2){
		//$fechaini_gest2 = $fecha_saldo[$pos+1][5]; 
		$fechaini_gest2 = strtotime ( '-1 year' , strtotime ( $fecha_saldo[$pos][5] ) ) ;
		$fechaini_gest2 = date ( 'Y-m-j' , $fechaini_gest2 );
	}
	$i = $pos;
	while ($fechaini >= $fecha_saldo[$i][5] && $i <= $fin_fecha && $fecha_saldo[$i][4] == 1) {
		$fechaini_gest2 = $fecha_saldo[$i][5];
		$i++;
	}
}

//titulo del saldo fecha inicial menos 1 dia
$fechaini_det_saldo = strtotime ( '-1 day' , strtotime ( $fechaini ) ) ;
$fechaini_det_saldo = date ( 'Y-m-j' , $fechaini_det_saldo );

//echo $fechaini_gest;

//calculo del rango de cuentas y separo los codigos de las cuentas con puntos y obtengo el uso

//para el uso de cuenta
$i = 1;
$mat_uso = array();
$resultuso = mysqli_query($link, "select pkyAccount as cod_cta, fldName as cuenta, codUse as uso
	from
	actAccount
	where 
	sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultuso)) {
		$mat_uso[$i][1] = $row['cod_cta'];
		$mat_uso[$i][2] = $row['uso'];
		if($mat_uso [$i][2] != NULL) {
			$repetir_uso_cuenta = $mat_uso [$i][2];
		} else {
			$mat_uso [$i][2] = $repetir_uso_cuenta;
		}
		$i++;
	}
	mysqli_free_result($resultuso);
$fin_uso = $i - 1;

//calculo del rango de cuentas y separo los codigos de las cuentas con puntos
$i = 1;
$mat_cta = array();
$resultcta = mysqli_query($link, "select pkyAccount as cod_cta, fldName as cuenta
	from
	actAccount
	where 
	$var_cuentaini 
	$var_cuentafin  
	sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultcta)) {
		if(substr($row['cod_cta'], -$nro_mayores) != 0) {
		$mat_cta[$i][1] = $row['cod_cta'];
		$mat_cta[$i][3] = $row['cuenta'];
			//divide el cod cuenta con puntos
			$num0 = 0;
			$num1 = $digitos_cuenta[0];
			$mat_cta[$i][2] = substr($mat_cta[$i][1],$num0,$num1);
			//echo $mat_cta[$i][2];
			for($j = 1; $j < $numero_niveles; $j++) {
				$num0 = $num0 + $digitos_cuenta[$j - 1];
				$num1 = $digitos_cuenta[$j];
				//echo $num0.'-'.$num1.'-';
				$mat_cta[$i][2] = $mat_cta[$i][2].'.'.substr($mat_cta[$i][1],$num0,$num1);
			}
		//echo $mat_cta[$i][1].'-'.$mat_cta[$i][2].'<br>';
			$k = 1;
			$uso_enc = 0;
			while($k <= $fin_uso && $uso_enc == 0) {//while uso
			if($row['cod_cta'] == $mat_uso[$k][1]) {
				$mat_cta[$i][4] = $mat_uso[$k][2];
				$uso_enc = 1;
			}
			$k++;
			}//fin while uso
		$i++;
		}
	}
	mysqli_free_result($resultcta);
	
$fin_cta = $i - 1;


if($formato == 0) { //if formato

//bucle por cada cuenta

for($k = 1; $k <= $fin_cta; $k++) { //for bucle
//suma de saldo a inicio de gestión
$cod_cta_ = $mat_cta[$k][1];
$uso_cta_ = $mat_cta[$k][4];

$resultdetsum = mysqli_query($link, "select sum(c.fldDebit) as saldo_debe, sum(c.fldCredit) as saldo_haber
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c
where 
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
a.fldDate >= '$fechaini_gest2' and
a.fldDate < '$fechaini' and
c.codAccount = '$cod_cta_' and 
a.sysEnabled = 1 and a.sysAuthorized = 1
group by c.codAccount;");
while ($row = mysqli_fetch_array($resultdetsum)) {
	if($mi_cod_pais == 1) {
	$saldo_debe = $row['saldo_debe'];
	$saldo_haber = $row['saldo_haber'];
	}
	if($mi_cod_pais == 176) {
	$saldo_debe = round($row['saldo_debe'],$n_decimales);
	$saldo_haber = round($row['saldo_haber'],$n_decimales);
	}
}
mysqli_free_result($resultdetsum);

if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
	if($mi_cod_pais == 1) {
	$saldo_inicial = $saldo_debe - $saldo_haber;
	}
	if($mi_cod_pais == 176) {
	$saldo_inicial = round($saldo_debe - $saldo_haber,$n_decimales);
	}
} else {
	if($mi_cod_pais == 1) {
	$saldo_inicial = $saldo_haber - $saldo_debe;
	}
	if($mi_cod_pais == 176) {
	$saldo_inicial = round($saldo_haber - $saldo_debe,$n_decimales);
	}
}

if($hay_cc != 0) {//if hay1
	//para cc
	//bucle para centro de costo
	$ccc = 0; //contador cc
	$si_cc = array();
	$suma_debecc = 0;
	$suma_habercc = 0;
	$suma_saldocc = 0;
	
	for($c = 1; $c <= $fin_cc; $c++) {//for c
	
	$cod_cc = $mat_tipocc[$c][1];
	//echo 'cc '.$cod_cc.'<br>';
	$resultcc1 = mysqli_query($link, "select sum(c.fldDebit * d.fldPercent / 100) as saldo_debe, sum(c.fldCredit * d.fldPercent / 100) as saldo_haber
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c, actAccountEntryDetailCC d
where 
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
c.pkyAccountEntryDetail = d.codAccountEntryDetail and 
a.fldDate >= '$fechaini_gest2' and
a.fldDate < '$fechaini' and
c.codAccount = '$cod_cta_' and 
d.codCostCenter = '$cod_cc' and 
a.sysEnabled = 1 and a.sysAuthorized = 1
group by c.codAccount;");
	
	while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
		if($mi_cod_pais == 1) {//if 1
		$si_cc[1 + $ccc] = $row['saldo_debe']; //empieza 1 debe
		$si_cc[2 + $ccc] = $row['saldo_haber']; //empieza 2 haber
		if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
			$si_cc[3 + $ccc] = $row['saldo_debe'] - $row['saldo_haber']; //empieza 3 saldo
		} else {
			$si_cc[3 + $ccc] = $row['saldo_haber'] - $row['saldo_debe']; //empieza 3 saldo
		}
		}//fin if 1
		
		if($mi_cod_pais == 176) {//if 176
		$si_cc[1 + $ccc] = round($row['saldo_debe'],$n_decimales); //empieza 1 debe
		$si_cc[2 + $ccc] = round($row['saldo_haber'],$n_decimales); //empieza 2 haber
		if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
			$si_cc[3 + $ccc] = round($row['saldo_debe'] - $row['saldo_haber'],$n_decimales); //empieza 3 saldo
		} else {
			$si_cc[3 + $ccc] = round($row['saldo_haber'] - $row['saldo_debe'],$n_decimales); //empieza 3 saldo
		}
		}//fin if 176
		
	}//fin while cc1
	mysqli_free_result($resultcc1);
	
	if($mi_cod_pais == 1) {
	$suma_debecc = $suma_debecc + $si_cc[1 + $ccc];
	$suma_habercc = $suma_habercc + $si_cc[2 + $ccc];
	$suma_saldocc = $suma_saldocc + $si_cc[3 + $ccc];
	}
	if($mi_cod_pais == 176) {
	$suma_debecc = $suma_debecc + round($si_cc[1 + $ccc],$n_decimales);
	$suma_habercc = $suma_habercc + round($si_cc[2 + $ccc],$n_decimales);
	$suma_saldocc = $suma_saldocc + round($si_cc[3 + $ccc],$n_decimales);
	}
	//echo (1 + $ccc).'>'.$si_cc[1 + $ccc].' - '.(2 + $ccc).'>'.$si_cc[2 + $ccc].' - '.(3 + $ccc).'>'.$si_cc[3 + $ccc].'<br>';
	$ccc = $ccc + 3;
	
	}//fin for c
	
	//sin cc, dejo el ultimo ccc para continuar
	if($mi_cod_pais == 1) {
	$si_cc[1 + $ccc] = $saldo_debe - $suma_debecc; //empieza en el ultimo ccc debe
	$si_cc[2 + $ccc] = $saldo_haber - $suma_habercc; //empieza en el ultimo ccc haber
	$si_cc[3 + $ccc] = $saldo_inicial - $suma_saldocc; //empieza en el ultimo ccc saldo
	}
	if($mi_cod_pais == 176) {
	$si_cc[1 + $ccc] = round($saldo_debe - $suma_debecc,$n_decimales); //empieza en el ultimo ccc debe
	$si_cc[2 + $ccc] = round($saldo_haber - $suma_habercc,$n_decimales); //empieza en el ultimo ccc haber
	$si_cc[3 + $ccc] = round($saldo_inicial - $suma_saldocc,$n_decimales); //empieza en el ultimo ccc saldo
	}
	//echo (1 + $ccc).'>'.$si_cc[1 + $ccc].' - '.(2 + $ccc).'>'.$si_cc[2 + $ccc].' - '.(3 + $ccc).'>'.$si_cc[3 + $ccc].'<br>';
	
}//fin if hay1

$resultdet = mysqli_query($link, "select a.pkyAccountEntry as cod_asiento, 
a.fldTransactionNumber as nro_trans, 
a.fldDocumentNumber as nro_doc, 
a.fldDate as fecha, b.fldName as tipo, 
a.txtDescription as glosa, 
c.fldDebit as debe, c.fldCredit as haber, 
a.fldParentComponent as papa, a.cosComponentKey as cod_papa, 
c.pkyAccountEntryDetail as cod_asiento_det
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c
where
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
c.codAccount = '$cod_cta_' and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
order by fecha, cod_asiento;");



	
$numero_filas = mysqli_num_rows($resultdet);
$var = ceil($numero_filas/$filas_por_pagina); //redondea hacia arriba

$matriz_mayor = array();
$i = 1;
while ($row = mysqli_fetch_array($resultdet)) {
	$matriz_mayor [$i][1] = $row['cod_asiento'];
	$matriz_mayor [$i][2] = $row['nro_trans'];
	$matriz_mayor [$i][3] = $row['nro_doc'];
	$matriz_mayor [$i][4] = $row['fecha'];
	$matriz_mayor [$i][5] = $row['tipo'];
	$matriz_mayor [$i][6] = $row['glosa'];
	if($mi_cod_pais == 1) {
	$matriz_mayor [$i][7] = $row['debe'];
	$matriz_mayor [$i][8] = $row['haber'];
	$matriz_mayor [$i][9] = $row['saldo'];
	}
	if($mi_cod_pais == 176) {
	$matriz_mayor [$i][7] = round($row['debe'],$n_decimales);
	$matriz_mayor [$i][8] = round($row['haber'],$n_decimales);
	$matriz_mayor [$i][9] = round($row['saldo'],$n_decimales);
	}
	
	if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
		$matriz_mayor [$i][9] = $matriz_mayor [$i][7] - $matriz_mayor [$i][8];
	} else {
		$matriz_mayor [$i][9] = $matriz_mayor [$i][8] - $matriz_mayor [$i][7];
	}
		
	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	//$usuario = nombre del usuario
	include "../../generadopor.php";
	$matriz_mayor [$i][10] = $papa_enlace;
	
	$cod_asiento2 = $row['cod_asiento'];
	$cod_asiento_det2 = $row['cod_asiento_det'];
	
	//si no hay codigo de OC, asigno cod_oc -1 
	$cod_oc = -1;
	//busco el codigo de la OC en la OC
	if($papa_componente == 'ComponentPurchaseOrder'){
		$cod_oc = $papa_codigo;
	}

	//busco el codigo de la OC en las PG
	if($papa_componente == 'ComponentPayrollExpenses'){

		$resultoc = mysqli_query($link, "select codPurchaseOrder AS cod_oc 
		FROM pchPayrollExpenses 
		WHERE pkyPayrollExpenses = '$papa_codigo';");

		while ($row = mysqli_fetch_array($resultoc)) {//while oc1
			$cod_oc = $row['cod_oc']; //codigo oc
		}//fin while oc1
		mysqli_free_result($resultoc);
	}

	//busco el codigo de la OC en la RM
	if($papa_componente == 'ComponentReceiptOfGoods'){

		$resultoc = mysqli_query($link, "select codPurchaseOrder AS cod_oc 
		FROM pchReceiptOfGoods 
		WHERE pkyReceiptOfGoods = '$papa_codigo';");

		while ($row = mysqli_fetch_array($resultoc)) {//while oc1
			$cod_oc = $row['cod_oc']; //codigo oc
		}//fin while oc1
		mysqli_free_result($resultoc);
	}

	//asigno el codigo de la OC al generado por
	if($cod_oc != -1){
		$matriz_mayor [$i][10] = $matriz_mayor [$i][10].' OC-'.$cod_oc;
	}
	
	if($hay_cc != 0) {//if hay1
		//para cc
		//bucle para centro de costo
		$ccc = 0; //contador cc
		$suma_debecc = 0;
		$suma_habercc = 0;
		$suma_saldocc = 0;
		for($c = 1; $c <= $fin_cc; $c++) {//for c
		
		$cod_cc = $mat_tipocc[$c][1];
		//echo $cod_cc.' - '.$cod_asiento_det2.' - '.$cod_asiento2.'<br>';
		if($mi_cod_pais == 1) {//if 1

			$resultcc1 = mysqli_query($link, "select c.pkyAccountEntryDetailCC as cod, a.codAccount as codcuenta, a.fldDebit * c.fldPercent / 100 as debecc, a.fldCredit * c.fldPercent / 100 as habercc
			from actAccountEntryDetail a, actAccountEntry b, actAccountEntryDetailCC c
			where 
			$valor_contexto2 
			$valor_componente2 
			$valor_tipo_asiento2 
			a.codAccountEntry = b.pkyAccountEntry and 
			a.pkyAccountEntryDetail = c.codAccountEntryDetail and 
			c.codCostCenter = '$cod_cc' and 
			a.pkyAccountEntryDetail = '$cod_asiento_det2' and 
			a.codAccountEntry = '$cod_asiento2';");
			
			while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
				$matriz_mayor[$i][11 + $ccc] = $row['debecc']; //empieza 11 debe
				$matriz_mayor[$i][12 + $ccc] = $row['habercc']; //empieza 12 haber
				if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
					$matriz_mayor[$i][13 + $ccc] = $row['debecc'] - $row['habercc']; //empieza 13 saldo
				} else {
					$matriz_mayor[$i][13 + $ccc] = $row['habercc'] - $row['debecc']; //empieza 13 saldo
				}
				
				$suma_debecc = $suma_debecc + $row['debecc'];
				$suma_habercc = $suma_habercc + $row['habercc'];
				$suma_saldocc = $suma_saldocc + $matriz_mayor[$i][13 + $ccc];
				
						
			}//fin while cc1
			mysqli_free_result($resultcc1);
		
		}//fin if 1
		
		if($mi_cod_pais == 176) {//if 176
			$resultcc1 = mysqli_query($link, "select c.pkyAccountEntryDetailCC as cod, a.codAccount as codcuenta, round(a.fldDebit * c.fldPercent / 100,'$n_decimales') as debecc, round(a.fldCredit * c.fldPercent / 100,'$n_decimales') as habercc
			from actAccountEntryDetail a, actAccountEntry b, actAccountEntryDetailCC c
			where 
			$valor_contexto2 
			$valor_componente2 
			$valor_tipo_asiento2 
			a.codAccountEntry = b.pkyAccountEntry and 
			a.pkyAccountEntryDetail = c.codAccountEntryDetail and 
			c.codCostCenter = '$cod_cc' and 
			a.pkyAccountEntryDetail = '$cod_asiento_det2' and 
			a.codAccountEntry = '$cod_asiento2';");
			
			while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
				$matriz_mayor[$i][11 + $ccc] = round($row['debecc'],$n_decimales); //empieza 11 debe
				$matriz_mayor[$i][12 + $ccc] = round($row['habercc'],$n_decimales); //empieza 12 haber
				if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
					$matriz_mayor[$i][13 + $ccc] = round($row['debecc'] - $row['habercc'],$n_decimales); //empieza 13 saldo
				} else {
					$matriz_mayor[$i][13 + $ccc] = round($row['habercc'] - $row['debecc'],$n_decimales); //empieza 13 saldo
				}
				
				$suma_debecc = $suma_debecc + round($row['debecc'],$n_decimales);
				$suma_habercc = $suma_habercc + round($row['habercc'],$n_decimales);
				$suma_saldocc = $suma_saldocc + round($matriz_mayor[$i][13 + $ccc],$n_decimales);
								
			}//fin while cc1
			mysqli_free_result($resultcc1);
		
		}//fin if 176
		$ccc = $ccc + 3;
		
		}//fin for c
		
		if($mi_cod_pais == 1) {
		//sin cc, dejo el ultimo ccc para continuar
		$matriz_mayor[$i][11 + $ccc] = $matriz_mayor[$i][7] - $suma_debecc; //empieza en el ultimo ccc debe
		$matriz_mayor[$i][12 + $ccc] = $matriz_mayor[$i][8] - $suma_habercc; //empieza en el ultimo ccc haber
		$matriz_mayor[$i][13 + $ccc] = $matriz_mayor[$i][9] - $suma_saldocc; //empieza en el ultimo ccc saldo
		}
		if($mi_cod_pais == 176) {
		//sin cc, dejo el ultimo ccc para continuar
		$matriz_mayor[$i][11 + $ccc] = round($matriz_mayor[$i][7] - $suma_debecc,$n_decimales); //empieza en el ultimo ccc debe
		$matriz_mayor[$i][12 + $ccc] = round($matriz_mayor[$i][8] - $suma_habercc,$n_decimales); //empieza en el ultimo ccc haber
		$matriz_mayor[$i][13 + $ccc] = round($matriz_mayor[$i][9] - $suma_saldocc,$n_decimales); //empieza en el ultimo ccc saldo
	}
		
	}//fin if hay1
		
	$i++;
}
$fin = $i - 1;
mysqli_free_result($resultdet);

//$sucursal = '0';
//$dir_sucursal = $mi_direccion;

$sum_debe_det = 0;
$sum_haber_det = 0;
$sum_saldo = $saldo_inicial;

$sum_debe_cc = array();
$sum_haber_cc = array();
$sum_saldo_cc = array(); //para iniciar con saldos

if($mostrar == 1){ //if mostrar
	if($numero_filas == 0) {//if $numero_filas
	$i = 1;
	$var = 1;
	$filas_por_pagina = 22;
	}//fin if $numero_filas
} else { //else mostrar
	if($numero_filas == 0) {//if $numero_filas
	$i = 1;
	$var = 0;
	$filas_por_pagina = 22;
	}//fin if $numero_filas
}//fin if mostrar

$j = 1;
for($i = 1; $i <= $var; $i++) {//for
?>
<?php if($mostrar_logo_reportes_formato == 0) { //if formato 0 ?>
<table border="0" align="center" cellpadding="2" width="100%">
<tr>
	<td width="33%"><?php echo $usuario; ?></td>
    <td width="33%" align="center"><b>LIBRO MAYOR <?php echo $nom_contexto; ?> <?php echo $nom_tipo_asiento; ?></b></td>
    <td width="33%" align="right"><b>P&aacute;gina: <?php echo $i; ?> de <?php echo $var; ?></b></td>
</tr>
<tr>
	<td width="33%"><b>Cuenta: </b><?php echo $mat_cta[$k][2]; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $mat_cta[$k][3]; ?></td>
    <td width="33%" align="center">DEL <?php echo date("d/m/Y",strtotime($fechaini)); ?> AL <?php echo date("d/m/Y",strtotime($fechafin)); ?></td>
    <td width="33%" align="right">EXPRESADO EN BOLIVIANOS</td>
</tr>
</table>
<table border="0" align="center" cellpadding="2" width="100%">
<tr>
	<td width="485"><b>Nombre o Raz&oacute;n Social: </b><?php echo $nombre_empresa; ?></td>
    <td width="485"><b>NIT: </b><?php echo $mi_nit; ?></td>
</tr>
<!--
<tr>
	<td width="485"><b>No. Sucursal: </b><?php echo $sucursal; ?></td>
    <td width="485"><b>Direcci&oacute;n: </b><?php echo $dir_sucursal; ?></td>
</tr>
-->
</table>
<?php } //fin if formato 0 ?>

<?php if($mostrar_logo_reportes_formato == 1) { //if formato 1 ?>
<table border="0" align="center" cellpadding="2" width="100%">
<tr>
	<td rowspan="3" width="15%"><img src="../../Images/logo.jpg" alt="Logo" width="100" height="40" /></td>
	<td>&nbsp;</td>
    <td align="center"><b>LIBRO MAYOR <?php echo $nom_contexto; ?> <?php echo $nom_tipo_asiento; ?></b></td>
    <td align="right"><b>P&aacute;gina: <?php echo $i; ?> de <?php echo $var; ?></b></td>
</tr>
<tr>
	<td><b>Cuenta: </b><?php echo $mat_cta[$k][2]; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $mat_cta[$k][3]; ?></td>
    <td align="center">DEL <?php echo date("d/m/Y",strtotime($fechaini)); ?> AL <?php echo date("d/m/Y",strtotime($fechafin)); ?></td>
    <td align="right">EXPRESADO EN BOLIVIANOS</td>
</tr>
<tr>
	<td><b>Nombre o Raz&oacute;n Social: </b><?php echo $nombre_empresa; ?></td>
    <td align="center"><b>NIT: </b><?php echo $mi_nit; ?></td>
    <td>&nbsp;</td>
</tr>
<!--
<tr>
	<td width="485"><b>No. Sucursal: </b><?php echo $sucursal; ?></td>
    <td width="485"><b>Direcci&oacute;n: </b><?php echo $dir_sucursal; ?></td>
</tr>
-->
</table>
<?php } //fin if formato 1 ?>
<br />

<table border="1" align="center" cellpadding="2" width="100%" height="600">
    <?php if($i == 1) { //if saldo ?>
    <!--<TR BGCOLOR='#ffcccc'> -->
    <TR>
    <?php if($fechaini_gest2 == $fechaini) { //if fecha igual ?>
    <TD colspan="7" style='border-bottom: solid 1px'><b>Saldo de fecha cerrado a <?php echo $fechaini_det_saldo; ?></b></TD>
    <?php } else { //else fecha igual ?>
    <TD colspan="7" style='border-bottom: solid 1px'><b>Saldo de fecha  <?php echo $fechaini_gest2; ?> a <?php echo $fechaini_det_saldo; ?></b></TD>
    <?php } //fin if fecha igual ?>
    
    <?php if($hay_cc != 0) {//if hay0 ?>
    <?php $ccc = 0; ?>
    <?php for($c = 1; $c <= $fin_cc+1; $c++) {//for c0 ?>
    <?php if($si_cc[1+$ccc] < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($si_cc[1+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($si_cc[1+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($si_cc[2+$ccc] < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($si_cc[2+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($si_cc[2+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($si_cc[3+$ccc] < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($si_cc[3+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($si_cc[3+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    <?php $sum_saldo_cc[$c] = $si_cc[3+$ccc]; ?>
    <?php $ccc = $ccc + 3; ?>
	<?php }// fin for c0 ?>
    
	<?php }// fin if hay0 ?>
    
    <?php if($saldo_debe < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($saldo_debe * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($saldo_debe, $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($saldo_haber < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($saldo_haber * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($saldo_haber, $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($saldo_inicial < 0) { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo '('.number_format($saldo_inicial * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right" style='border-bottom: solid 1px'><b><?php echo number_format($saldo_inicial, $n_decimales); ?></b></TD>
    <?php } ?>
    </TR>
    <?php } //fin if saldo ?>
    <TR> 
    <TD align="center" style='border-bottom: solid 1px'><b>Cod.</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Nro. de Trans.</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Nro. de Doc.</b></TD>
    <TD align="center" width="50" style='border-bottom: solid 1px'><b>Fecha</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Tipo</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Glosa</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Gen. por</b></TD>
    <?php if($hay_cc != 0) {//if hay0 ?>
    <?php for($c = 1; $c <= $fin_cc; $c++) {//for c0 ?>
    <TD align="center" style='border-bottom: solid 1px'><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Debe</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Haber</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Saldo</b></TD>
    <?php }// fin for c0 ?>
    <TD align="center" style='border-bottom: solid 1px'><b>Sin Centro de Costo<br/>Debe</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Sin Centro de Costo<br/>Haber</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Sin Centro de Costo<br/>Saldo</b></TD>
	<?php }// fin if hay0 ?>
    <TD align="center" style='border-bottom: solid 1px'><b>Debe</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Haber</b></TD>
    <TD align="center" style='border-bottom: solid 1px'><b>Saldo</b></TD>
    </TR>

<?php
$color = 2;

$q = 1;//

while ($q <= $filas_por_pagina) { //while
  $cod_asiento = $matriz_mayor [$j][1];
  
  if($numero_filas == 0) {//if filas
	printf("<tr><td align='center'>%s</td>", $matriz_mayor [$j][1]);//codigo
  } else { //else filas
   	if($color % 2 == 0) { //if color
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$cod_asiento&showCC=$asientocc&user=$usuario' title='Asiento Contable'>%s</a></td>", $matriz_mayor [$j][1]);//codigo
	} else {
	printf("<tr><td align='center'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$cod_asiento&showCC=$asientocc&user=$usuario' title='Asiento Contable'>%s</a></td>", $matriz_mayor [$j][1]);//codigo
	}//fin if color
  }//fin filas
	printf("<td align='right'>%s</td>", $matriz_mayor [$j][2]);//nro de trans
	printf("<td align='center'>%s</td>", $matriz_mayor [$j][3]);//nro de doc
	printf("<td align='right'>%s</td>", $matriz_mayor [$j][4]);//fecha
	printf("<td align='left'>%s</td>", $matriz_mayor [$j][5]);//tipo
	$glosa_det = $matriz_mayor [$j][6];
	$glosa_det = str_replace("Generado automáticamente", "Gen. auto.", $glosa_det);
	$glosa_det = substr($glosa_det,0,230);
	//$glosa_det = nl2br($glosa_det);
	//$glosa_det = str_replace('\n','<br />',$glosa_det);
	printf("<td>%s</td>", $glosa_det);//glosa
	printf("<td align='center'>%s</td>", $matriz_mayor [$j][10]);//generado por
	
	if($matriz_mayor [$j][7] == 0 && $matriz_mayor [$j][8] == 0) { //if 0 y 0
	//para cc
	if($hay_cc != 0) {//if hay3
		for($c = 1; $c <= $fin_cc+1; $c++) {//for c3
		printf("<td>&nbsp;</td>");//debe
		printf("<td>&nbsp;</td>");//haber
		printf("<td>&nbsp;</td>");//saldo
		}//fin for c3
	}//fin if hay3
	printf("<td>&nbsp;</td>");//debe
	printf("<td>&nbsp;</td>");//haber
	printf("<td>&nbsp;</td></tr>");//saldo
	
	} else { //else if 0 y 0
	
	//para cc
	if($hay_cc != 0) {//if hay2
		$ccc = 0; //contador cc
		$s = 1;
		for($c = 1; $c <= $fin_cc+1; $c++) {//for c2
			printf("<td align='right'>%s</td>", number_format($matriz_mayor[$j][11 + $ccc], $n_decimales));//debe
			printf("<td align='right'>%s</td>", number_format($matriz_mayor[$j][12 + $ccc], $n_decimales));//haber
			
			$sum_debe_cc[$s] = $sum_debe_cc[$s] + $matriz_mayor[$j][11 + $ccc];
			$sum_haber_cc[$s] = $sum_haber_cc[$s] + $matriz_mayor[$j][12 + $ccc];
			
			if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
				$sum_saldo_cc[$s] = $sum_saldo_cc[$s] + $matriz_mayor [$j][11 + $ccc] - $matriz_mayor [$j][12 + $ccc];
			} else {
				$sum_saldo_cc[$s] = $sum_saldo_cc[$s] + $matriz_mayor [$j][12 + $ccc] - $matriz_mayor [$j][11 + $ccc];
			}
			
			if($sum_saldo_cc[$s] < 0) { 
			printf("<td align='right'>(%s)</td>", number_format($sum_saldo_cc[$s] * -1, $n_decimales));//saldo
			} else {
			printf("<td align='right'>%s</td>", number_format($sum_saldo_cc[$s], $n_decimales));//saldo
			}
			$s++;
			$ccc = $ccc + 3;
		}//fin for c2
		$fin_sum = $s - 1;
	}//fin if hay2
	
	printf("<td align='right'>%s</td>", number_format($matriz_mayor [$j][7], $n_decimales));//debe
	printf("<td align='right'>%s</td>", number_format($matriz_mayor [$j][8], $n_decimales));//haber
	
	$sum_debe_det = $sum_debe_det + $matriz_mayor [$j][7];
	$sum_haber_det = $sum_haber_det + $matriz_mayor [$j][8];
	//revisar lo hago arriba
	if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
		$sum_saldo = $sum_saldo + $matriz_mayor [$j][7] - $matriz_mayor [$j][8];
	} else {
		$sum_saldo = $sum_saldo + $matriz_mayor [$j][8] - $matriz_mayor [$j][7];
	}
	//$sum_saldo = $sum_saldo + $row['debe'] - $row['haber'];
	if($sum_saldo < 0) { 
	printf("<td align='right'>(%s)</td></tr>", number_format($sum_saldo * -1, $n_decimales));//saldo
	} else {
	printf("<td align='right'>%s</td></tr>", number_format($sum_saldo, $n_decimales));//saldo
	}
	
	} //fin if 0 y 0
	
	if($numero_filas == 0 && $j == 14) {
		printf("<tr><td>&nbsp;</td><td>&nbsp;</td><td align='center' colspan='4'><font size='16'><b>SIN MOVIMIENTO</b></font></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td></tr>");
	}
	
    $color++;
	$j++;
	$q++;
}//fin while
	//echo $i.' - '.$var.'<br>';
	if($i == $var) {//if $i
	?>
    <tr>
    <td colspan="7" align="left" style='border-top: solid 1px'><b>TOTAL <?php echo $mat_cta[$k][2]; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $mat_cta[$k][3]; ?></b></td>
    <?php if($hay_cc != 0) {//if hay1 ?>
    <?php for($s = 1; $s <= $fin_sum; $s++) {//for c1 ?>
    <TD align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_debe_cc[$s],$n_decimales)); ?></TD>
    <TD align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_haber_cc[$s],$n_decimales)); ?></TD>
    <?php if($sum_saldo_cc[$s] < 0) { ?>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>(%s)</b>", number_format($sum_saldo_cc[$s] * -1,$n_decimales)); ?></td>
    <?php } else { ?>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_saldo_cc[$s],$n_decimales)); ?></td>
    <?php } ?>
    <?php }// fin for c1 ?>
	<?php }// fin if hay1 ?>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_debe_det,$n_decimales)); ?></td>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_haber_det,$n_decimales)); ?></td>
    <?php if($sum_saldo < 0) { ?>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>(%s)</b>", number_format($sum_saldo * -1,$n_decimales)); ?></td>
    <?php } else { ?>
    <td align="right" style='border-top: solid 1px'><?php printf("<b>%s</b>", number_format($sum_saldo,$n_decimales)); ?></td>
    <?php } ?>
    </tr>
    </table>
	<?php
	} else { 
	?>
    </table>
    <?php
	}//fin if $i
	?>
	<div>
	</div>
    <?php
}//fin for

}//fin for bucle


} else {// else if formato


?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table>
<p><br /><center><font color="#000099" size="+1"><b>Libro Mayor</b></font></center></p>

<table border="1" align="center" cellpadding="2" width="100%">
    <TR> 
    <TD width="25%"><b>Cuenta Inicial:  </b><?php echo $nom_cuentaini; ?></TD>
    <TD width="25%"><b>Cuenta Final:  </b><?php echo $nom_cuentafin; ?></TD>
    <TD width="25%"><b>Tipo: </b><?php echo $nom_tipo_asiento2; ?></TD>
    <TD width="25%"><b>Centro de Costo: </b><?php echo $nom_centro_costo; ?></TD>
    </TR>
    <TR>
    <TD><b>Formato: </b><?php echo $nom_formato; ?></TD>
	<TD><b>Componente: </b><?php echo $nom_componente; ?></TD>
    <TD><b>Asiento con CC: </b><?php echo $nom_asientocc; ?></TD>
    <TD><b>Mostrar Sin Movimiento: </b><?php echo $nom_mostrar; ?></TD>
    </TR>
    <TR>
    <TD colspan="2"><b>De Fecha: </b><?php echo $fechaini; ?> <b>a Fecha: </b><?php echo $fechafin; ?></TD>
    <TD><b>Contexto: </b><?php echo $nom_contexto2; ?></TD>
    <TD><b>Expresado en: </b><?php echo $nom_moneda_principal; ?></TD>
    </TR>
</table>
<br />

<?php


//bucle por cada cuenta

for($k = 1; $k <= $fin_cta; $k++) { //for bucle
//suma de saldo a inicio de gestión
$cod_cta_ = $mat_cta[$k][1];
$uso_cta_ = $mat_cta[$k][4];

$resultdetsum = mysqli_query($link, "select sum(c.fldDebit) as saldo_debe, sum(c.fldCredit) as saldo_haber
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c
where 
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
a.fldDate >= '$fechaini_gest2' and
a.fldDate < '$fechaini' and
c.codAccount = '$cod_cta_' and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
group by c.codAccount;");
while ($row = mysqli_fetch_array($resultdetsum)) {
	if($mi_cod_pais == 1) {
	$saldo_debe = $row['saldo_debe'];
	$saldo_haber = $row['saldo_haber'];
	}
	if($mi_cod_pais == 176) {
	$saldo_debe = round($row['saldo_debe'],$n_decimales);
	$saldo_haber = round($row['saldo_haber'],$n_decimales);
	}
}
mysqli_free_result($resultdetsum);

if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
	if($mi_cod_pais == 1) {
	$saldo_inicial = $saldo_debe - $saldo_haber;
	}
	if($mi_cod_pais == 176) {
	$saldo_inicial = round($saldo_debe - $saldo_haber,$n_decimales);
	}
} else {
	if($mi_cod_pais == 1) {
	$saldo_inicial = $saldo_haber - $saldo_debe;
	}
	if($mi_cod_pais == 176) {
	$saldo_inicial = round($saldo_haber - $saldo_debe,$n_decimales);
	}
}

if($hay_cc != 0) {//if hay1
	//para cc
	//bucle para centro de costo
	$ccc = 0; //contador cc
	$si_cc = array();
	$suma_debecc = 0;
	$suma_habercc = 0;
	$suma_saldocc = 0;
	
	for($c = 1; $c <= $fin_cc; $c++) {//for c
	
	$cod_cc = $mat_tipocc[$c][1];
	//echo 'cc '.$cod_cc.'<br>';
	$resultcc1 = mysqli_query($link, "select sum(c.fldDebit * d.fldPercent / 100) as saldo_debe, sum(c.fldCredit * d.fldPercent / 100) as saldo_haber
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c, actAccountEntryDetailCC d
where 
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
c.pkyAccountEntryDetail = d.codAccountEntryDetail and 
a.fldDate >= '$fechaini_gest2' and
a.fldDate < '$fechaini' and
c.codAccount = '$cod_cta_' and 
d.codCostCenter = '$cod_cc' and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
group by c.codAccount;");
	
	while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
		if($mi_cod_pais == 1) {//if 1
		$si_cc[1 + $ccc] = $row['saldo_debe']; //empieza 1 debe
		$si_cc[2 + $ccc] = $row['saldo_haber']; //empieza 2 haber
		if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
			$si_cc[3 + $ccc] = $row['saldo_debe'] - $row['saldo_haber']; //empieza 3 saldo
		} else {
			$si_cc[3 + $ccc] = $row['saldo_haber'] - $row['saldo_debe']; //empieza 3 saldo
		}
		}//fin if 1
		
		if($mi_cod_pais == 176) {//if 176
		$si_cc[1 + $ccc] = round($row['saldo_debe'],$n_decimales); //empieza 1 debe
		$si_cc[2 + $ccc] = round($row['saldo_haber'],$n_decimales); //empieza 2 haber
		if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
			$si_cc[3 + $ccc] = round($row['saldo_debe'] - $row['saldo_haber'],$n_decimales); //empieza 3 saldo
		} else {
			$si_cc[3 + $ccc] = round($row['saldo_haber'] - $row['saldo_debe'],$n_decimales); //empieza 3 saldo
		}
		}//fin if 176
		
	}//fin while cc1
	mysqli_free_result($resultcc1);
	
	if($mi_cod_pais == 1) {
	$suma_debecc = $suma_debecc + $si_cc[1 + $ccc];
	$suma_habercc = $suma_habercc + $si_cc[2 + $ccc];
	$suma_saldocc = $suma_saldocc + $si_cc[3 + $ccc];
	}
	if($mi_cod_pais == 176) {
	$suma_debecc = $suma_debecc + round($si_cc[1 + $ccc],$n_decimales);
	$suma_habercc = $suma_habercc + round($si_cc[2 + $ccc],$n_decimales);
	$suma_saldocc = $suma_saldocc + round($si_cc[3 + $ccc],$n_decimales);
	}
	//echo (1 + $ccc).'>'.$si_cc[1 + $ccc].' - '.(2 + $ccc).'>'.$si_cc[2 + $ccc].' - '.(3 + $ccc).'>'.$si_cc[3 + $ccc].'<br>';
	$ccc = $ccc + 3;
	
	}//fin for c
	
	//sin cc, dejo el ultimo ccc para continuar
	if($mi_cod_pais == 1) {
	$si_cc[1 + $ccc] = $saldo_debe - $suma_debecc; //empieza en el ultimo ccc debe
	$si_cc[2 + $ccc] = $saldo_haber - $suma_habercc; //empieza en el ultimo ccc haber
	$si_cc[3 + $ccc] = $saldo_inicial - $suma_saldocc; //empieza en el ultimo ccc saldo
	}
	if($mi_cod_pais == 176) {
	$si_cc[1 + $ccc] = round($saldo_debe - $suma_debecc,$n_decimales); //empieza en el ultimo ccc debe
	$si_cc[2 + $ccc] = round($saldo_haber - $suma_habercc,$n_decimales); //empieza en el ultimo ccc haber
	$si_cc[3 + $ccc] = round($saldo_inicial - $suma_saldocc,$n_decimales); //empieza en el ultimo ccc saldo
	}
	//echo (1 + $ccc).'>'.$si_cc[1 + $ccc].' - '.(2 + $ccc).'>'.$si_cc[2 + $ccc].' - '.(3 + $ccc).'>'.$si_cc[3 + $ccc].'<br>';
	
}//fin if hay1

$resultdet = mysqli_query($link, "select a.pkyAccountEntry as cod_asiento, 
a.fldTransactionNumber as nro_trans, 
a.fldDocumentNumber as nro_doc, 
a.fldDate as fecha, b.fldName as tipo, 
a.txtDescription as glosa, 
c.fldDebit as debe, c.fldCredit as haber, 
a.fldParentComponent as papa, a.cosComponentKey as cod_papa, 
c.pkyAccountEntryDetail as cod_asiento_det
from 
actAccountEntry a, actAccountEntryType b, actAccountEntryDetail c
where
$valor_contexto 
$valor_componente 
$valor_tipo_asiento 
a.codType = b.pkyAccountEntryType and 
a.pkyAccountEntry = c.codAccountEntry and 
a.fldDate >= '$fechaini' and
a.fldDate <= '$fechafin' and
c.codAccount = '$cod_cta_' and 
a.sysEnabled = 1 and a.sysAuthorized = 1 
order by fecha, cod_asiento;");


	
$numero_filas = mysqli_num_rows($resultdet);
//$var = ceil($numero_filas/$filas_por_pagina); //redondea hacia arriba

$matriz_mayor = array();
$i = 1;
while ($row = mysqli_fetch_array($resultdet)) {
	$matriz_mayor [$i][1] = $row['cod_asiento'];
	$matriz_mayor [$i][2] = $row['nro_trans'];
	$matriz_mayor [$i][3] = $row['nro_doc'];
	$matriz_mayor [$i][4] = $row['fecha'];
	$matriz_mayor [$i][5] = $row['tipo'];
	$matriz_mayor [$i][6] = $row['glosa'];
	if($mi_cod_pais == 1) {
	$matriz_mayor [$i][7] = $row['debe'];
	$matriz_mayor [$i][8] = $row['haber'];
	$matriz_mayor [$i][9] = $row['saldo'];
	}
	if($mi_cod_pais == 176) {
	$matriz_mayor [$i][7] = round($row['debe'],$n_decimales);
	$matriz_mayor [$i][8] = round($row['haber'],$n_decimales);
	$matriz_mayor [$i][9] = round($row['saldo'],$n_decimales);
	}
	
	if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
		$matriz_mayor [$i][9] = $matriz_mayor [$i][7] - $matriz_mayor [$i][8];
	} else {
		$matriz_mayor [$i][9] = $matriz_mayor [$i][8] - $matriz_mayor [$i][7];
	}
		
	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	//$usuario = nombre del usuario
	include "../../generadopor.php";
	$matriz_mayor [$i][10] = $papa_enlace;
	
	$cod_asiento2 = $row['cod_asiento'];
	$cod_asiento_det2 = $row['cod_asiento_det'];

	//si no hay codigo de OC, asigno cod_oc -1 
	$cod_oc = -1;
	//busco el codigo de la OC en la OC
	if($papa_componente == 'ComponentPurchaseOrder'){
		$cod_oc = $papa_codigo;
	}

	//busco el codigo de la OC en las PG
	if($papa_componente == 'ComponentPayrollExpenses'){

		$resultoc = mysqli_query($link, "select codPurchaseOrder AS cod_oc 
		FROM pchPayrollExpenses 
		WHERE pkyPayrollExpenses = '$papa_codigo';");

		while ($row = mysqli_fetch_array($resultoc)) {//while oc1
			$cod_oc = $row['cod_oc']; //codigo oc
		}//fin while oc1
		mysqli_free_result($resultoc);
	}

	//busco el codigo de la OC en la RM
	if($papa_componente == 'ComponentReceiptOfGoods'){

		$resultoc = mysqli_query($link, "select codPurchaseOrder AS cod_oc 
		FROM pchReceiptOfGoods 
		WHERE pkyReceiptOfGoods = '$papa_codigo';");

		while ($row = mysqli_fetch_array($resultoc)) {//while oc1
			$cod_oc = $row['cod_oc']; //codigo oc
		}//fin while oc1
		mysqli_free_result($resultoc);
	}

	//asigno el codigo de la OC al generado por
	if($cod_oc != -1){
		$matriz_mayor [$i][10] = $matriz_mayor [$i][10].' OC-'.$cod_oc;
	}
	
	if($hay_cc != 0) {//if hay1
		//para cc
		//bucle para centro de costo
		$ccc = 0; //contador cc
		$suma_debecc = 0;
		$suma_habercc = 0;
		$suma_saldocc = 0;
		for($c = 1; $c <= $fin_cc; $c++) {//for c
		
		$cod_cc = $mat_tipocc[$c][1];
		//echo $cod_cc.' - '.$cod_asiento_det2.' - '.$cod_asiento2.'<br>';
		if($mi_cod_pais == 1) {//if 1

		$resultcc1 = mysqli_query($link, "select c.pkyAccountEntryDetailCC as cod, a.codAccount as codcuenta, a.fldDebit * c.fldPercent / 100 as debecc, a.fldCredit * c.fldPercent / 100 as habercc
		from actAccountEntryDetail a, actAccountEntry b, actAccountEntryDetailCC c
		where 
		$valor_contexto2 
		$valor_componente2 
		$valor_tipo_asiento2 
		a.codAccountEntry = b.pkyAccountEntry and 
		a.pkyAccountEntryDetail = c.codAccountEntryDetail and 
		c.codCostCenter = '$cod_cc' and 
		a.pkyAccountEntryDetail = '$cod_asiento_det2' and 
		a.codAccountEntry = '$cod_asiento2';");
		
		while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
			$matriz_mayor[$i][11 + $ccc] = $row['debecc']; //empieza 11 debe
			$matriz_mayor[$i][12 + $ccc] = $row['habercc']; //empieza 12 haber
			if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
				$matriz_mayor[$i][13 + $ccc] = $row['debecc'] - $row['habercc']; //empieza 13 saldo
			} else {
				$matriz_mayor[$i][13 + $ccc] = $row['habercc'] - $row['debecc']; //empieza 13 saldo
			}
			
			$suma_debecc = $suma_debecc + $row['debecc'];
			$suma_habercc = $suma_habercc + $row['habercc'];
			$suma_saldocc = $suma_saldocc + $matriz_mayor[$i][13 + $ccc];
			
					
		}//fin while cc1
		mysqli_free_result($resultcc1);
		
		}//fin if 1
		
		if($mi_cod_pais == 176) {//if 176
		$resultcc1 = mysqli_query($link, "select c.pkyAccountEntryDetailCC as cod, a.codAccount as codcuenta, round(a.fldDebit * c.fldPercent / 100,'$n_decimales') as debecc, round(a.fldCredit * c.fldPercent / 100,'$n_decimales') as habercc
		from actAccountEntryDetail a, actAccountEntry b, actAccountEntryDetailCC c
		where 
		$valor_contexto2 
		$valor_componente2 
		$valor_tipo_asiento2 
		a.codAccountEntry = b.pkyAccountEntry and 
		a.pkyAccountEntryDetail = c.codAccountEntryDetail and 
		c.codCostCenter = '$cod_cc' and 
		a.pkyAccountEntryDetail = '$cod_asiento_det2' and 
		a.codAccountEntry = '$cod_asiento2';");
		
		while ($row = mysqli_fetch_array($resultcc1)) {//while cc1
			$matriz_mayor[$i][11 + $ccc] = round($row['debecc'],$n_decimales); //empieza 11 debe
			$matriz_mayor[$i][12 + $ccc] = round($row['habercc'],$n_decimales); //empieza 12 haber
			if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
				$matriz_mayor[$i][13 + $ccc] = round($row['debecc'] - $row['habercc'],$n_decimales); //empieza 13 saldo
			} else {
				$matriz_mayor[$i][13 + $ccc] = round($row['habercc'] - $row['debecc'],$n_decimales); //empieza 13 saldo
			}
			
			$suma_debecc = $suma_debecc + round($row['debecc'],$n_decimales);
			$suma_habercc = $suma_habercc + round($row['habercc'],$n_decimales);
			$suma_saldocc = $suma_saldocc + round($matriz_mayor[$i][13 + $ccc],$n_decimales);
							
		}//fin while cc1
		mysqli_free_result($resultcc1);
		
		}//fin if 176
		$ccc = $ccc + 3;
		
		}//fin for c
		
		if($mi_cod_pais == 1) {
		//sin cc, dejo el ultimo ccc para continuar
		$matriz_mayor[$i][11 + $ccc] = $matriz_mayor[$i][7] - $suma_debecc; //empieza en el ultimo ccc debe
		$matriz_mayor[$i][12 + $ccc] = $matriz_mayor[$i][8] - $suma_habercc; //empieza en el ultimo ccc haber
		$matriz_mayor[$i][13 + $ccc] = $matriz_mayor[$i][9] - $suma_saldocc; //empieza en el ultimo ccc saldo
		}
		if($mi_cod_pais == 176) {
		//sin cc, dejo el ultimo ccc para continuar
		$matriz_mayor[$i][11 + $ccc] = round($matriz_mayor[$i][7] - $suma_debecc,$n_decimales); //empieza en el ultimo ccc debe
		$matriz_mayor[$i][12 + $ccc] = round($matriz_mayor[$i][8] - $suma_habercc,$n_decimales); //empieza en el ultimo ccc haber
		$matriz_mayor[$i][13 + $ccc] = round($matriz_mayor[$i][9] - $suma_saldocc,$n_decimales); //empieza en el ultimo ccc saldo
	}
		
	}//fin if hay1
	
	
	$i++;
}
$fin = $i - 1;
mysqli_free_result($resultdet);

//$sucursal = '0';
//$dir_sucursal = $mi_direccion;

$sum_debe_det = 0;
$sum_haber_det = 0;
$sum_saldo = $saldo_inicial;

$sum_debe_cc = array();
$sum_haber_cc = array();
$sum_saldo_cc = array(); //para iniciar con saldos

$filas_por_pagina = $numero_filas;
$var = 1;

if($mostrar == 0 && $numero_filas == 0){ //if mostrar
$var = 0;
}
if($mostrar == 1 && $numero_filas == 0){ //if mostrar
$filas_por_pagina = 1;
}
/*
if($mostrar == 1){ //if mostrar
	if($numero_filas == 0) {//if $numero_filas
	$i = 1;
	$var = 1;
	//$filas_por_pagina = $fin;
	}//fin if $numero_filas
} else { //else mostrar
	if($numero_filas == 0) {//if $numero_filas
	$i = 1;
	$var = 0;
	//$filas_por_pagina = $fin;
	}//fin if $numero_filas
}//fin if mostrar
*/
$j = 1;
for($i = 1; $i <= $var; $i++) {//for
?>

<table border="1" align="center" cellpadding="2" width="100%">
	
	<tbody class="marcafila">
	
	<?php if($i == 1) { //if saldo ?>
    <!--<TR BGCOLOR='#ffcccc'> -->
    <TR>
    <?php if($fechaini_gest2 == $fechaini) { //if fecha igual ?>
    <TD colspan="7"><b>Saldo de fecha cerrado a <?php echo $fechaini_det_saldo; ?> - <?php echo $mat_cta[$k][2]; ?> <?php echo $mat_cta[$k][3]; ?></b></TD>
    <?php } else { //else fecha igual ?>
    <TD colspan="7"><b>Saldo de fecha  <?php echo $fechaini_gest2; ?> a <?php echo $fechaini_det_saldo; ?> - <?php echo $mat_cta[$k][2]; ?> <?php echo $mat_cta[$k][3]; ?></b></TD>
    <?php } //fin if fecha igual ?>
    
    <?php if($hay_cc != 0) {//if hay0 ?>
    <?php $ccc = 0; ?>
    <?php for($c = 1; $c <= $fin_cc+1; $c++) {//for c0 ?>
    <?php if($si_cc[1+$ccc] < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($si_cc[1+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($si_cc[1+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($si_cc[2+$ccc] < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($si_cc[2+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($si_cc[2+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($si_cc[3+$ccc] < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($si_cc[3+$ccc] * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($si_cc[3+$ccc], $n_decimales); ?></b></TD>
    <?php } ?>
    <?php $sum_saldo_cc[$c] = $si_cc[3+$ccc]; ?>
    <?php $ccc = $ccc + 3; ?>
	<?php }// fin for c0 ?>
    
	<?php }// fin if hay0 ?>
    
    <?php if($saldo_debe < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($saldo_debe * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($saldo_debe, $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($saldo_haber < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($saldo_haber * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($saldo_haber, $n_decimales); ?></b></TD>
    <?php } ?>
    
    <?php if($saldo_inicial < 0) { ?>
    <TD align="right"><b><?php echo '('.number_format($saldo_inicial * -1, $n_decimales).')'; ?></b></TD>
    <?php } else { ?>
    <TD align="right"><b><?php echo number_format($saldo_inicial, $n_decimales); ?></b></TD>
    <?php } ?>
    </TR>
    <?php } //fin if saldo ?>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Nro. de Trans.</b></TD>
    <TD align="center"><b>Nro. de Doc.</b></TD>
    <TD align="center" width="50"><b>Fecha</b></TD>
    <TD align="center"><b>Tipo</b></TD>
    <TD align="center"><b>Glosa</b></TD>
    <TD align="center"><b>Gen. por</b></TD>
    <?php if($hay_cc != 0) {//if hay0 ?>
    <?php for($c = 1; $c <= $fin_cc; $c++) {//for c0 ?>
    <TD align="center"><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Debe</b></TD>
    <TD align="center"><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Haber</b></TD>
    <TD align="center"><b><?php echo $mat_tipocc[$c][4]; ?><br/><?php echo $mat_tipocc[$c][2]; ?> Saldo</b></TD>
    <?php }// fin for c0 ?>
    <TD align="center"><b>Sin Centro de Costo<br/>Debe</b></TD>
    <TD align="center"><b>Sin Centro de Costo<br/>Haber</b></TD>
    <TD align="center"><b>Sin Centro de Costo<br/>Saldo</b></TD>
	<?php }// fin if hay0 ?>
    <TD align="center"><b>Debe</b></TD>
    <TD align="center"><b>Haber</b></TD>
    <TD align="center"><b>Saldo</b></TD>
    </TR>

<?php
$color = 2;

$q = 1;//

while ($q <= $filas_por_pagina) { //while
  $cod_asiento = $matriz_mayor [$j][1];
  
  if($numero_filas == 0) {//if filas
	printf("<tr><td align='center'>%s</td>", $matriz_mayor [$j][1]);//codigo
  } else { //else filas
   	if($color % 2 == 0) { //if color
	printf("<tr BGCOLOR='#e2e7fa'><td align='center'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$cod_asiento&showCC=$asientocc&user=$usuario' title='Asiento Contable'>%s</a></td>", $matriz_mayor [$j][1]);//codigo
	} else {
	printf("<tr><td align='center'><a href='../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=$cod_asiento&showCC=$asientocc&user=$usuario' title='Asiento Contable'>%s</a></td>", $matriz_mayor [$j][1]);//codigo
	}//fin if color
  }//fin filas
	printf("<td align='right'>%s</td>", $matriz_mayor [$j][2]);//nro de trans
	printf("<td align='center'>%s</td>", $matriz_mayor [$j][3]);//nro de doc
	printf("<td align='right'>%s</td>", $matriz_mayor [$j][4]);//fecha
	printf("<td align='left'>%s</td>", $matriz_mayor [$j][5]);//tipo
	$glosa_det = $matriz_mayor [$j][6];
	$glosa_det = nl2br($glosa_det);
	$glosa_det = str_replace('\n','<br />',$glosa_det);
	printf("<td>%s</td>", $glosa_det);//glosa
	printf("<td align='center'>%s</td>", $matriz_mayor [$j][10]);//generado por
	
	if($matriz_mayor [$j][7] == 0 && $matriz_mayor [$j][8] == 0) { //if 0 y 0
	//para cc
	if($hay_cc != 0) {//if hay3
		for($c = 1; $c <= $fin_cc+1; $c++) {//for c3
		printf("<td>&nbsp;</td>");//debe
		printf("<td>&nbsp;</td>");//haber
		printf("<td>&nbsp;</td>");//saldo
		}//fin for c3
	}//fin if hay3
	printf("<td>&nbsp;</td>");//debe
	printf("<td>&nbsp;</td>");//haber
	printf("<td>&nbsp;</td></tr>");//saldo
	
	} else { //else if 0 y 0
	
	//para cc
	if($hay_cc != 0) {//if hay2
		$ccc = 0; //contador cc
		$s = 1;
		for($c = 1; $c <= $fin_cc+1; $c++) {//for c2
			printf("<td align='right'>%s</td>", number_format($matriz_mayor[$j][11 + $ccc], $n_decimales));//debe
			printf("<td align='right'>%s</td>", number_format($matriz_mayor[$j][12 + $ccc], $n_decimales));//haber
			
			$sum_debe_cc[$s] = $sum_debe_cc[$s] + $matriz_mayor[$j][11 + $ccc];
			$sum_haber_cc[$s] = $sum_haber_cc[$s] + $matriz_mayor[$j][12 + $ccc];
			
			if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
				$sum_saldo_cc[$s] = $sum_saldo_cc[$s] + $matriz_mayor [$j][11 + $ccc] - $matriz_mayor [$j][12 + $ccc];
			} else {
				$sum_saldo_cc[$s] = $sum_saldo_cc[$s] + $matriz_mayor [$j][12 + $ccc] - $matriz_mayor [$j][11 + $ccc];
			}
			
			if($sum_saldo_cc[$s] < 0) { 
			printf("<td align='right'>(%s)</td>", number_format($sum_saldo_cc[$s] * -1, $n_decimales));//saldo
			} else {
			printf("<td align='right'>%s</td>", number_format($sum_saldo_cc[$s], $n_decimales));//saldo
			}
			$s++;
			$ccc = $ccc + 3;
		}//fin for c2
		$fin_sum = $s - 1;
	}//fin if hay2
	
	printf("<td align='right'>%s</td>", number_format($matriz_mayor [$j][7], $n_decimales));//debe
	printf("<td align='right'>%s</td>", number_format($matriz_mayor [$j][8], $n_decimales));//haber
	
	$sum_debe_det = $sum_debe_det + $matriz_mayor [$j][7];
	$sum_haber_det = $sum_haber_det + $matriz_mayor [$j][8];
	//revisar lo hago arriba
	if($uso_cta_ == 1 || $uso_cta_ == 5 || $uso_cta_ == 6) {
		$sum_saldo = $sum_saldo + $matriz_mayor [$j][7] - $matriz_mayor [$j][8];
	} else {
		$sum_saldo = $sum_saldo + $matriz_mayor [$j][8] - $matriz_mayor [$j][7];
	}
	//$sum_saldo = $sum_saldo + $row['debe'] - $row['haber'];
	if($sum_saldo < 0) { 
	printf("<td align='right'>(%s)</td></tr>", number_format($sum_saldo * -1, $n_decimales));//saldo
	} else {
	printf("<td align='right'>%s</td></tr>", number_format($sum_saldo, $n_decimales));//saldo
	}
	
	} //fin if 0 y 0
	
	//if($numero_filas == 0 && $j == 14) {
	if($numero_filas == 0) {//if fil0	
		printf("<tr><td align='center' colspan='7'><font size='12'><b>SIN MOVIMIENTO</b></font></td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>");
		//para cc
		if($hay_cc != 0) {//if hay3
			for($c = 1; $c <= $fin_cc+1; $c++) {//for c3
				printf("<td>&nbsp;</td>");//debe
				printf("<td>&nbsp;</td>");//haber
				printf("<td>&nbsp;</td>");//saldo
			}//fin for c3
		}//fin if hay3
		echo '</tr>';
	}//fin if fil0
	
    $color++;
	$j++;
	$q++;
}//fin while
	//echo $i.' - '.$var.'<br>';
	if($i == $var) {//if $i
	?>
    <tr BGCOLOR="#ffcccc">
    <td colspan="7" align="left"><b>TOTAL <?php echo $mat_cta[$k][2]; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo $mat_cta[$k][3]; ?></b></td>
    <?php if($hay_cc != 0) {//if hay1 ?>
    <?php for($s = 1; $s <= $fin_sum; $s++) {//for c1 ?>
    <TD align="right"><?php printf("<b>%s</b>", number_format($sum_debe_cc[$s],$n_decimales)); ?></TD>
    <TD align="right"><?php printf("<b>%s</b>", number_format($sum_haber_cc[$s],$n_decimales)); ?></TD>
    <?php if($sum_saldo_cc[$s] < 0) { ?>
    <td align="right"><?php printf("<b>(%s)</b>", number_format($sum_saldo_cc[$s] * -1,$n_decimales)); ?></td>
    <?php } else { ?>
    <td align="right"><?php printf("<b>%s</b>", number_format($sum_saldo_cc[$s],$n_decimales)); ?></td>
    <?php } ?>
    <?php }// fin for c1 ?>
	<?php }// fin if hay1 ?>
    <td align="right"><?php printf("<b>%s</b>", number_format($sum_debe_det,$n_decimales)); ?></td>
    <td align="right"><?php printf("<b>%s</b>", number_format($sum_haber_det,$n_decimales)); ?></td>
    <?php if($sum_saldo < 0) { ?>
    <td align="right"><?php printf("<b>(%s)</b>", number_format($sum_saldo * -1,$n_decimales)); ?></td>
    <?php } else { ?>
    <td align="right"><?php printf("<b>%s</b>", number_format($sum_saldo,$n_decimales)); ?></td>
    <?php } ?>
	</tr>
	</tbody>
    </table>
	<?php
	//} else { 
	?>
    <!--</table>-->
    <?php
	}//fin if $i
	?>
	<!--<div>
	</div>-->
    <?php
}//fin for

}//fin for bucle



}//fin if formato


} //fin if 2

?>

</body>
</html>
